Bug 1062808 - (cvechecker) Review Request: cvechecker - Command-line utility to scan the system based on CVE data
Review Request: cvechecker - Command-line utility to scan the system based on...
Status: CLOSED DUPLICATE of bug 1467651
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
: SecurityTracking
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2014-02-07 22:57 EST by Christopher Meng
Modified: 2017-07-04 08:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-04 08:51:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2014-02-07 22:57:55 EST
Spec URL: http://cicku.me/cvechecker.spec
SRPM URL: http://cicku.me/cvechecker-3.5-1.fc21.src.rpm
Description: The goal of cvechecker is to report about possible vulnerabilities on your system, by scanning the installed software and matching the results with
the CVE database. Indeed, this is not a bullet-proof method and you will most
likely have many false positives (vulnerability is fixed with a
revision-release, but the tool isn't able to detect the revision itself), yet
it is still better than nothing, especially if you are running a distribution
with little security coverage.
Fedora Account System Username: cicku
Comment 1 Pavel Alexeev 2014-02-09 11:31:25 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
1) Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

  Requires xsltproc wrong and not found in Fedora 20 and rawhide repos
  You should instead require libxslt (prefferable) or direct file /usr/bin/xsltproc from it

2) GPL licens is incorrect: https://fedoraproject.org/wiki/Licensing:Main
According to site https://sourceforge.net/projects/cvechecker/ it should be GPLv3 but I'm strictly engourage you to clarify it from author. Also ask them put correct not empty COPYING file in tarball.

3) Rpmlint also said about it among others:
Checking: cvechecker-3.5-1.fc20.x86_64.rpm
          cvechecker-3.5-1.fc20.src.rpm
cvechecker.x86_64: W: invalid-license GPL
cvechecker.x86_64: E: zero-length /usr/share/doc/cvechecker/COPYING
cvechecker.src: W: invalid-license GPL
cvechecker.src:1: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 1)
2 packages and 0 specfiles checked; 1 errors, 3 warnings.
4) In %check
make %{?_smp_mflags} check
should be, of comment about justification why parallel make can't be used.

4) userguide.xml recommend use separate group and user. It is on you choose  but please consider.

5) For what installed userguide.xml? Shouldn't be it converted into something like html?

6) [-]: Requires correct, justified where necessary.
gawk requires missing, binarie used in scripts cvereport, cvegenversdat, pullcves (also present file /usr/share/cvechecker/csv2xml.awk)

7) Package functions as described.
(after remove requires xsltproc see before)
$ cvechecker -i
Can't open database /var/cvechecker/local/main.db: unable to open database file

So config should be changed to point on something like /var/run/cvechecker/main.db, and that ghost file with dir included.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated".

Noone file contain license string.
According to site https://sourceforge.net/projects/cvechecker/ it should be GPLv3 but I'm strictly engourage you to clarify it from author. Also ask them put correct not empty COPYING file in tarball.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).

In %check
make %{?_smp_mflags} check
should be, of comment about justification why parrallel make can't be used.

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
gawk requires missing, binarie used in scripts cvereport, cvegenversdat, pullcves (also present file /usr/share/cvechecker/csv2xml.awk)

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[+/-]: Package complies to the Packaging Guidelines
Mostly. See other notes.

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
Please request fill empty COPYING file.

[x]: Final provides and requires are sane (see attachments).
[!]: Package functions as described.
(after remove requires xsltproc see before)
$ cvechecker -i
Can't open database /var/cvechecker/local/main.db: unable to open database file

So config should be changed to point on something like /var/run/cvechecker/main.db, and that ghost file with dir included.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.


Requires
--------
cvechecker (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    config(cvechecker)
    libc.so.6()(64bit)
    libconfig.so.9()(64bit)
    libcrypto.so.10()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    libmysqlclient.so.18()(64bit)
    libmysqlclient.so.18(libmysqlclient_16)(64bit)
    libpthread.so.0()(64bit)
    libsqlite3.so.0()(64bit)
    libssl.so.10()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)
    wget
    xsltproc



Provides
--------
cvechecker:
    config(cvechecker)
    cvechecker
    cvechecker(x86-64)



Source checksums
----------------
http://sourceforge.net/projects/cvechecker/files/cvechecker-3.5.tar.gz :
  CHECKSUM(SHA256) this package     : 7d3e0becf23ca3897a3a89c3f913e3b112adda39792417a659684534063c14b9
  CHECKSUM(SHA256) upstream package : 7d3e0becf23ca3897a3a89c3f913e3b112adda39792417a659684534063c14b9
Comment 2 Christopher Meng 2014-02-10 02:11:39 EST
Waiting for upstream's reply.
Comment 3 Murray McAllister 2014-02-10 21:20:18 EST
Hi Christopher,

Do you need any assistance from the Red Hat Security Response team regarding this package?

Thanks,

--
Murray McAllister / Red Hat Security Response Team
Comment 4 Christopher Meng 2014-02-10 21:42:16 EST
(In reply to Murray McAllister from comment #3)
> Hi Christopher,
> 
> Do you need any assistance from the Red Hat Security Response team regarding
> this package?
> 
> Thanks,
> 
> --
> Murray McAllister / Red Hat Security Response Team

Aha finally attract a people from SRT ;)

I don't think this package has too many issues, but if you are willing to help, I think you can help test this package when it's in updates-testing, OK?
Comment 5 Zbigniew Jędrzejewski-Szmek 2015-02-14 13:27:18 EST
Ping?
Comment 6 Pavel Alexeev 2015-12-03 14:38:39 EST
Christopher are you willing continue at all??
Comment 7 Zamir SUN 2017-03-14 08:10:44 EDT
@Pavel, since Christopher have not updated this for long, I'd like to restart the review with mine.

Spec URL: https://zsun.fedorapeople.org/pub/pkgs/cvechecker/cvechecker.spec
SRPM URL: https://zsun.fedorapeople.org/pub/pkgs/cvechecker/cvechecker-3.7-1.fc25.src.rpm

Fedora Account System Username: zsun
Comment 8 Zamir SUN 2017-07-04 08:51:30 EDT
I'm closing this old request as duplicated of 1467651 per email suggestions
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/LRSRJOLLGLJB5OIE3ZBY3OK4JNBMLIQO/

*** This bug has been marked as a duplicate of bug 1467651 ***

Note You need to log in before you can comment on or make changes to this bug.